Returns the specified location as it appears live on Google Maps and Search. This consumer-facing view may have been updated by Google or user-generated content and may differ from the merchant's version. The returned GoogleUpdatedLocation contains masks that indicate which fields differ from the merchant's information.
HTTP request
GET https://mybusinessbusinessinformation.googleapis.com/v1alpha/{name=locations/*}:getGoogleUpdated
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the location to fetch. |
Query parameters
| Parameters | |
|---|---|
readMask |
Required. Read mask to specify what fields will be returned in the response. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body must be empty.
Response body
Represents the view of a location as it appears to consumers, which includes updates that are currently serving on Google Maps and Search.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"location": {
object ( |
| Fields | |
|---|---|
location |
The Google-updated version of this location. |
diffMask |
The fields where the values in the view as it appears to consumers are different than the merchant's information. To accept these changes, patch the location. To reject, patch with your preferred values. This is a comma-separated list of fully qualified names of fields. Example: |
pendingMask |
The fields where the merchant has provided an update that is currently in flight and hasn't yet been published to Maps and Search. This mask only tracks the status of the merchant's own edits, not external changes. This is a comma-separated list of fully qualified names of fields. Example: |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/business.manage
For more information, see the OAuth 2.0 Overview.